/**
 * Processes chunk of text and handles <!--esi tags
 *
 * @param {string} chunk Chunk of text to process
 * @param {string[]} [res] Array of chunks of text already processed (used internally within function)
 * @returns {Promise<string>} processed string
 */
export declare function process(chunk: string, res?: Array<string>): Promise<string>;
