/**
 * Takes a header string and a directive to check if the directive is within the header
 * Returns the value of the directive if it exists or null if not
 *
 * @param {string} header header to check if it has a directive
 * @param {string} directive directive to find within the header
 * @returns {string | null } the value of the directive if it exists or null if not
 */
export declare function getheaderToken(header: string, directive: string): string | null;
